Bug Hunting Session
Bug 103756 - CTRL+Z not working to undo changes performed through Navigator
Summary: CTRL+Z not working to undo changes performed through Navigator
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.4 target:5.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-07 11:38 UTC by Noel Grandin
Modified: 2017-01-13 12:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test doc (255.60 KB, application/vnd.oasis.opendocument.presentation)
2016-11-07 11:53 UTC, Noel Grandin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Grandin 2016-11-07 11:38:14 UTC
issue: open attached deck, navigate to slide 3, open the navigator, select object (rectangle) and cut it. Then try to undo the change with CTRL+Z, this does not work. It only works through the UI (menu -> edit -> undo).

expected result: CTRL+Z works as well
Comment 1 Noel Grandin 2016-11-07 11:53:48 UTC
Created attachment 128547 [details]
test doc
Comment 2 Commit Notification 2016-11-09 13:25:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9da91fd028e73846b1bed2618357d0abfbdcc57

tdf#103756 - CTRL+Z not working to undo changes performed through Navigator

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-11-15 09:00:47 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1909ab7940109ce7d43da04e480db4e82b8310f&h=libreoffice-5-2

tdf#103756 - CTRL+Z not working to undo changes performed through Navigator

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-12-06 15:33:02 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78223678b7513ffe46804cb08f2dc5bc899b2bab&h=libreoffice-5-2

tdf#103756 fix crash of this on 5-2 with initial backport

It will be available in 5.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-12-07 09:05:10 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-2-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0af5348f5d724abc6047055d1585fe3fda9ee6e1&h=libreoffice-5-2-4

tdf#103756 fix crash of this on 5-2 with initial backport

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2017-01-13 12:23:59 UTC
Hello,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?